<template>
	<a class=" btn btn-info btn-circle waves-effect waves-light"  @click.prevent="play" href="#">
		<i :class="! playing ? 'fa fa-volume-up' : 'fa fa-pause'"></i>
	</a>
</template>
<script>

	import VueHowler from 'vue-howler'

	export default {
		mixins : [VueHowler],
		props: ['canPlay'],
		methods:{
			play(){
				if(this.playing){
					this.togglePlayback()
				}
				else if(this.canPlay){
					 this.togglePlayback()
				}
				else toastr.warning('Espera que termine de reproducirse el audio para continuar.')
			}
			
		},
	    watch: {
	    	progress(p){
				
					
				this.$emit('finished')	     			
					
	    		
			},
			playing(isPlaying){
				if(isPlaying) this.$emit('playing')
				else this.$emit('stoped')
			}
	    }
	}
</script>